Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Class Message.MsgHeader

    java.lang.Object
      com.stc.connector.webspheremqadapter.message.Message.MsgHeader

All Implemented Interfaces:
  IMessage.MsgHeader

Enclosing class:
  Message

    public class Message.MsgHeader

extends java.lang.Object
implements IMessage.MsgHeader

Facade that represents the descriptor portion of a Message. It provides access to Message member variables, but does not validate the values specified for these variables thru this implementation. Please consult IBM's WebSphere MQ Java API documentation detailed information about these variables and their applicable values.

See Also:
  `MQMessage`, `Message`

Constructor Summary
`Message.MsgHeader(Message m)` Create a MsgHeader.

Method Summary
`byte[]` | `getAccountingToken()` Retrieve the value of the Message's accountingToken variable.
`java.lang.String` | `getApplicationIdData()` Retrieve the value of the Message's applicationIdData variable.
`java.lang.String` | `getApplicationOriginData()` Retrieve the value of the Message's applicationOriginData variable.
`int` | `getBackoutCount()` Retrieve the value of the Message's backoutCount variable.
`int` | `getCharacterSet()` Retrieve the value of the Message's characterSet variable.
`byte[]` | `getCorrelationId()` Retrieve the value of the Message's correlationId variable.
`int` | `getEncoding()` Retrieve the value of the Message's encoding variable.
`int` | `getExpiry()` Retrieve the value of the Message's expiry variable.
`int` | `getFeedback()` Retrieve the value of the Message's feedback variable.
`java.lang.String` | `getFormat()` Retrieve the value of the Message's format variable.
`byte[]` | `getGroupId()` Retrieve the value of the Message's groupId variable.
`int` | `getMessageFlags()` Retrieve the value of the Message's messageFlags variable.
`byte[]` | `getMessageId()` Retrieve the value of the Message's messageId variable.
`int` | `getMessageSequenceNumber()` Retrieve the value of the Message's messageSequenceNumber variable.
`int` | `getMessageType()` Retrieve the value of the Message's messageType variable.
`int` | `getOffset()` Retrieve the value of the Message's offset variable.
`int` | `getOriginalLength()` Retrieve the value of the Message's originalLength variable.
`int` | `getPersistence()` Retrieve the value of the Message's persistence variable.
`int` | `getPriority()` Retrieve the value of the Message's priority variable.
`java.lang.String` | `getPutApplicationName()` Retrieve the value of the Message's putApplicationName variable.
`int` | `getPutApplicationType()` Retrieve the value of the Message's putApplicationType variable.
`java.util.GregorianCalendar` | `getPutDateTime()` Retrieve the value of the Message's putDateTime variable.
`java.lang.String` | `getReplyToQueueManagerName()` Retrieve the value of the Message's replyToQueueManagerName variable.
`java.lang.String` | `getReplyToQueueName()` Retrieve the value of the Message's replyToQueueName variable.
`int` | `getReport()` Retrieve the value of the Message's report variable.
`java.lang.String` | `getUserId()` Retrieve the value of the Message's userId variable.
`void` | `setAccountingToken(byte[] val)` Assign a value to the Message's accountingToken variable.
`void` | `setApplicationIdData(java.lang.String val)` Assign a value to the Message's applicationIdData variable.
`void` | `setApplicationOriginData(java.lang.String val)` Assign a value to the Message's applicationOriginData variable.
`void` | `setBackoutCount(int val)` Assign a value to the Message's backoutCount variable.
`void` | `setCharacterSet(int val)` Assign a value to the Message's characterSet variable.
`void` | `setCorrelationId(byte[] val)` Assign a value to the Message's correlationId variable.
`void` | `setEncoding(int val)` Assign a value to the Message's encoding variable.
`void` | `setExpiry(int val)` Assign a value to the Message's expiry variable.
`void` | `setFeedback(int val)` Assign a value to the Message's feedback variable.
`void` | `setFormat(java.lang.String val)` Assign a value to the Message's format variable.
`void` | `setGroupId(byte[] val)` Assign a value to the Message's groupId variable.
`void` | `setMessageFlags(int val)` Assign a value to the Message's messageFlags variable.
`void` | `setMessageId(byte[] val)` Assign a value to the Message's messageId variable.
`void` | `setMessageSequenceNumber(int val)` Assign a value to the Message's messageSequenceNumber variable.
`void` | `setMessageType(int val)` Assign a value to the Message's messageType variable.
`void` | `setOffset(int val)` Assign a value to the Message's offset variable.
`void` | `setOriginalLength(int val)` Assign a value to the Message's originalLength variable.
`void` | `setPersistence(int val)` Assign a value to the Message's persistence variable.
`void` | `setPriority(int val)` Assign a value to the Message's priority variable.
`void` | `setPutApplicationName(java.lang.String val)` Assign a value to the Message's putApplicationName variable.
`void` | `setPutApplicationType(int val)` Assign a value to the Message's putApplicationType variable.
`void` | `setPutDateTime(java.util.GregorianCalendar val)` Assign a value to the Message's putDateTime variable.
`void` | `setReplyToQueueManagerName(java.lang.String val)` Assign a value to the Message's replyToQueueManagerName variable.
`void` | `setReplyToQueueName(java.lang.String val)` Assign a value to the Message's replyToQueueName variable.
`void` | `setReport(int val)` Assign a value to the Message's report variable.
`void` | `setUserId(java.lang.String val)` Assign a value to the Message's userId variable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message.MsgHeader

    public Message.MsgHeader(Message m)

  Create a MsgHeader.

  Parameters:
    `m` - Owner of this object.

Method Detail

### setReport

    public void setReport(int val)

  Assign a value to the Message's report variable.

  Specified by:
    `setReport` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Report request value
  See Also:
    `MQMD.report`

### getReport

    public int getReport()

  Retrieve the value of the Message's report variable.

  Specified by:
    `getReport` in interface `IMessage.MsgHeader`
  Returns:
    Report request value.
  See Also:
    `MQMD.report`

### setMessageType

    public void setMessageType(int val)

  Assign a value to the Message's messageType variable.

  Specified by:
    `setMessageType` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Message type
  See Also:
    `MQMD.messageType`

### getMessageType

    public int getMessageType()

  Retrieve the value of the Message's messageType variable.

  Specified by:
    `getMessageType` in interface `IMessage.MsgHeader`
  Returns:
    Message type value.
  See Also:
    `MQMD.messageType`

### setExpiry

    public void setExpiry(int val)

  Assign a value to the Message's expiry variable.

  Specified by:
    `setExpiry` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - expiry
  See Also:
    `MQMD.expiry`

### getExpiry

    public int getExpiry()

  Retrieve the value of the Message's expiry variable.

  Specified by:
    `getExpiry` in interface `IMessage.MsgHeader`
  Returns:
    expiry value.
  See Also:
    `MQMD.expiry`

### setFeedback

    public void setFeedback(int val)

  Assign a value to the Message's feedback variable.

  Specified by:
    `setFeedback` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - feedback
  See Also:
    `MQMD.feedback`

### getFeedback

    public int getFeedback()

  Retrieve the value of the Message's feedback variable.

  Specified by:
    `getFeedback` in interface `IMessage.MsgHeader`
  Returns:
    feedback value.
  See Also:
    `MQMD.feedback`

### setEncoding

    public void setEncoding(int val)

  Assign a value to the Message's encoding variable.

  Specified by:
    `setEncoding` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - encoding type
  See Also:
    `MQMD.encoding`

### getEncoding

    public int getEncoding()

  Retrieve the value of the Message's encoding variable.

  Specified by:
    `getEncoding` in interface `IMessage.MsgHeader`
  Returns:
    encoding value.
  See Also:
    `MQMD.encoding`

### setCharacterSet

    public void setCharacterSet(int val)

  Assign a value to the Message's characterSet variable.

  Specified by:
    `setCharacterSet` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - characterSet
  See Also:
    `MQMD.characterSet`

### getCharacterSet

    public int getCharacterSet()

  Retrieve the value of the Message's characterSet variable.

  Specified by:
    `getCharacterSet` in interface `IMessage.MsgHeader`
  Returns:
    characterSet value.
  See Also:
    `MQMD.characterSet`

### setFormat

    public void setFormat(java.lang.String val)

  Assign a value to the Message's format variable.

  Specified by:
    `setFormat` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - format type
  See Also:
    `MQMD.format`

### getFormat

    public java.lang.String getFormat()

  Retrieve the value of the Message's format variable.

  Specified by:
    `getFormat` in interface `IMessage.MsgHeader`
  Returns:
    format value.
  See Also:
    `MQMD.format`

### setPriority

    public void setPriority(int val)

  Assign a value to the Message's priority variable.

  Specified by:
    `setPriority` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - priority
  See Also:
    `MQMD.priority`

### getPriority

    public int getPriority()

  Retrieve the value of the Message's priority variable.

  Specified by:
    `getPriority` in interface `IMessage.MsgHeader`
  Returns:
    priority value.
  See Also:
    `MQMD.priority`

### setPersistence

    public void setPersistence(int val)

  Assign a value to the Message's persistence variable.

  Specified by:
    `setPersistence` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - persistence
  See Also:
    `MQMD.persistence`

### getPersistence

    public int getPersistence()

  Retrieve the value of the Message's persistence variable.

  Specified by:
    `getPersistence` in interface `IMessage.MsgHeader`
  Returns:
    persistence value.
  See Also:
    `MQMD.persistence`

### setMessageId

    public void setMessageId(byte[] val)

  Assign a value to the Message's messageId variable.

  Specified by:
    `setMessageId` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Message ID
  See Also:
    `MQMD.messageId`

### getMessageId

    public byte[] getMessageId()

  Retrieve the value of the Message's messageId variable.

  Specified by:
    `getMessageId` in interface `IMessage.MsgHeader`
  Returns:
    messageId value.
  See Also:
    `MQMD.messageId`

### setCorrelationId

    public void setCorrelationId(byte[] val)

  Assign a value to the Message's correlationId variable.

  Specified by:
    `setCorrelationId` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Correlation ID
  See Also:
    `MQMD.correlationId`

### getCorrelationId

    public byte[] getCorrelationId()

  Retrieve the value of the Message's correlationId variable.

  Specified by:
    `getCorrelationId` in interface `IMessage.MsgHeader`
  Returns:
    correlationId value.
  See Also:
    `MQMD.correlationId`

### setBackoutCount

    public void setBackoutCount(int val)

  Assign a value to the Message's backoutCount variable.

  Specified by:
    `setBackoutCount` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - backout count
  See Also:
    `MQMD.backoutCount`

### getBackoutCount

    public int getBackoutCount()

  Retrieve the value of the Message's backoutCount variable.

  Specified by:
    `getBackoutCount` in interface `IMessage.MsgHeader`
  Returns:
    backoutCount value.
  See Also:
    `MQMD.backoutCount`

### setReplyToQueueName

    public void setReplyToQueueName(java.lang.String val)

  Assign a value to the Message's replyToQueueName variable.

  Specified by:
    `setReplyToQueueName` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - replyToQueueName value
  See Also:
    `MQMD.replyToQueueName`

### getReplyToQueueName

    public java.lang.String getReplyToQueueName()

  Retrieve the value of the Message's replyToQueueName variable.

  Specified by:
    `getReplyToQueueName` in interface `IMessage.MsgHeader`
  Returns:
    replyToQueueName value.
  See Also:
    `MQMD.replyToQueueName`

### setReplyToQueueManagerName

    public void setReplyToQueueManagerName(java.lang.String val)

  Assign a value to the Message's replyToQueueManagerName variable.

  Specified by:
    `setReplyToQueueManagerName` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - replyToQueueManagerName value
  See Also:
    `MQMD.replyToQueueManagerName`

### getReplyToQueueManagerName

    public java.lang.String getReplyToQueueManagerName()

  Retrieve the value of the Message's replyToQueueManagerName variable.

  Specified by:
    `getReplyToQueueManagerName` in interface `IMessage.MsgHeader`
  Returns:
    replyToQueueManagerName value.
  See Also:
    `MQMD.replyToQueueManagerName`

### setUserId

    public void setUserId(java.lang.String val)

  Assign a value to the Message's userId variable.

  Specified by:
    `setUserId` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - User ID
  See Also:
    `MQMD.userId`

### getUserId

    public java.lang.String getUserId()

  Retrieve the value of the Message's userId variable.

  Specified by:
    `getUserId` in interface `IMessage.MsgHeader`
  Returns:
    userId value.
  See Also:
    `MQMD.userId`

### setAccountingToken

    public void setAccountingToken(byte[] val)

  Assign a value to the Message's accountingToken variable.

  Specified by:
    `setAccountingToken` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Accounting token type
  See Also:
    `MQMD.accountingToken`

### getAccountingToken

    public byte[] getAccountingToken()

  Retrieve the value of the Message's accountingToken variable.

  Specified by:
    `getAccountingToken` in interface `IMessage.MsgHeader`
  Returns:
    accountingToken value.
  See Also:
    `MQMD.accountingToken`

### setApplicationIdData

    public void setApplicationIdData(java.lang.String val)

  Assign a value to the Message's applicationIdData variable.

  Specified by:
    `setApplicationIdData` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Application ID
  See Also:
    `MQMD.applicationIdData`

### getApplicationIdData

    public java.lang.String getApplicationIdData()

  Retrieve the value of the Message's applicationIdData variable.

  Specified by:
    `getApplicationIdData` in interface `IMessage.MsgHeader`
  Returns:
    applicationIdData value.
  See Also:
    `MQMD.applicationIdData`

### setPutApplicationType

    public void setPutApplicationType(int val)

  Assign a value to the Message's putApplicationType variable.

  Specified by:
    `setPutApplicationType` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Message type
  See Also:
    `MQMD.putApplicationType`

### getPutApplicationType

    public int getPutApplicationType()

  Retrieve the value of the Message's putApplicationType variable.

  Specified by:
    `getPutApplicationType` in interface `IMessage.MsgHeader`
  Returns:
    putApplicationType value.
  See Also:
    `MQMD.putApplicationType`

### setPutApplicationName

    public void setPutApplicationName(java.lang.String val)

  Assign a value to the Message's putApplicationName variable.

  Specified by:
    `setPutApplicationName` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Application name
  See Also:
    `MQMD.putApplicationName`

### getPutApplicationName

    public java.lang.String getPutApplicationName()

  Retrieve the value of the Message's putApplicationName variable.

  Specified by:
    `getPutApplicationName` in interface `IMessage.MsgHeader`
  Returns:
    putApplicationName value.
  See Also:
    `MQMD.putApplicationName`

### setPutDateTime

    public void setPutDateTime(java.util.GregorianCalendar val)

  Assign a value to the Message's putDateTime variable.

  Specified by:
    `setPutDateTime` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Put date time
  See Also:
    `MQMD.putDateTime`

### getPutDateTime

    public java.util.GregorianCalendar getPutDateTime()

  Retrieve the value of the Message's putDateTime variable.

  Specified by:
    `getPutDateTime` in interface `IMessage.MsgHeader`
  Returns:
    putDateTime value.
  See Also:
    `MQMD.putDateTime`

### setApplicationOriginData

    public void setApplicationOriginData(java.lang.String val)

  Assign a value to the Message's applicationOriginData variable.

  Specified by:
    `setApplicationOriginData` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Application origin
  See Also:
    `MQMD.applicationOriginData`

### getApplicationOriginData

    public java.lang.String getApplicationOriginData()

  Retrieve the value of the Message's applicationOriginData variable.

  Specified by:
    `getApplicationOriginData` in interface `IMessage.MsgHeader`
  Returns:
    applicationOriginData value.
  See Also:
    `MQMD.applicationOriginData`

### setGroupId

    public void setGroupId(byte[] val)

  Assign a value to the Message's groupId variable.

  Specified by:
    `setGroupId` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Group ID
  See Also:
    `MQMD.groupId`

### getGroupId

    public byte[] getGroupId()

  Retrieve the value of the Message's groupId variable.

  Specified by:
    `getGroupId` in interface `IMessage.MsgHeader`
  Returns:
    groupId value.
  See Also:
    `MQMD.groupId`

### setMessageSequenceNumber

    public void setMessageSequenceNumber(int val)

  Assign a value to the Message's messageSequenceNumber variable.

  Specified by:
    `setMessageSequenceNumber` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Message sequence number
  See Also:
    `MQMD.messageSequenceNumber`

### getMessageSequenceNumber

    public int getMessageSequenceNumber()

  Retrieve the value of the Message's messageSequenceNumber variable.

  Specified by:
    `getMessageSequenceNumber` in interface `IMessage.MsgHeader`
  Returns:
    messageSequenceNumber value.
  See Also:
    `MQMD.messageSequenceNumber`

### setOffset

    public void setOffset(int val)

  Assign a value to the Message's offset variable.

  Specified by:
    `setOffset` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - offset
  See Also:
    `MQMD.offset`

### getOffset

    public int getOffset()

  Retrieve the value of the Message's offset variable.

  Specified by:
    `getOffset` in interface `IMessage.MsgHeader`
  Returns:
    offset value.
  See Also:
    `MQMD.offset`

### setMessageFlags

    public void setMessageFlags(int val)

  Assign a value to the Message's messageFlags variable.

  Specified by:
    `setMessageFlags` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - Message flags
  See Also:
    `MQMD.messageFlags`

### getMessageFlags

    public int getMessageFlags()

  Retrieve the value of the Message's messageFlags variable.

  Specified by:
    `getMessageFlags` in interface `IMessage.MsgHeader`
  Returns:
    messageFlags value.
  See Also:
    `MQMD.messageFlags`

### setOriginalLength

    public void setOriginalLength(int val)

  Assign a value to the Message's originalLength variable.

  Specified by:
    `setOriginalLength` in interface `IMessage.MsgHeader`
  Parameters:
    `val` - original length
  See Also:
    `MQMD.originalLength`

### getOriginalLength

    public int getOriginalLength()

  Retrieve the value of the Message's originalLength variable.

  Specified by:
    `getOriginalLength` in interface `IMessage.MsgHeader`
  Returns:
    originalLength value.
  See Also:
    `MQMD.originalLength`

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.